Website load issues and set_magic_quotes_runtime()

General questions relating to Joomla! 3.x.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting.
Forum Post Assistant - If you are serious about wanting help, you should use this tool to help you post.
Windows Defender SmartScreen Issues <-- please read this if using Windows 10
Post Reply
learning2022
Joomla! Apprentice
Joomla! Apprentice
Posts: 5
Joined: Fri Sep 30, 2022 2:09 pm

Website load issues and set_magic_quotes_runtime()

Post by learning2022 » Fri Sep 30, 2022 2:55 pm

The host has given this response:
==
[05-Sep-2022 12:10:26 UTC] PHP Fatal error: Uncaught Error: Call to
undefined function set_magic_quotes_runtime() in
/home/themaqpy/public_html/includes/framework.php:21
Stack trace:
#0 /home/themaqpy/public_html/index.php(22): require_once()
#1 {main}
thrown in /home/themaqpy/public_html/includes/framework.php on line 21
==
Is this a Joomla issue or something else?
Last edited by toivo on Fri Sep 30, 2022 11:47 pm, edited 2 times in total.
Reason: mod note: moved from 3.x Performance, retitled

User avatar
mjparadac
Joomla! Hero
Joomla! Hero
Posts: 2488
Joined: Mon Oct 29, 2012 3:58 pm

Re: Website often does not load

Post by mjparadac » Fri Sep 30, 2022 3:45 pm

Hello learning2022

What is your PHP version?

This post could help.
viewtopic.php?t=960229
Joomla Community Ambassador for A2 Hosting | A2 Hosting - Our speed, your success | https://www.a2hosting.com/joomla-hosting

learning2022
Joomla! Apprentice
Joomla! Apprentice
Posts: 5
Joined: Fri Sep 30, 2022 2:09 pm

Re: Website often does not load

Post by learning2022 » Fri Sep 30, 2022 10:08 pm

Hi,
This is the message on the dashboard:

Error
We have detected that your server is using PHP 7.3.28 which is obsolete and no longer receives official security updates by its developers. The Joomla! Project recommends upgrading your site to PHP 7.4 or later which will receive security updates at least until 2022-11-28. Please ask your host to make PHP 7.4 or a later version the default version for your site. If your host is already PHP 7.4 ready please enable PHP 7.4 on your site's root and 'administrator' directories – typically you can do this yourself through a tool in your hosting control panel, but it's best to ask your host if you are unsure.

And

WARNING
Joomla 3.10 has entered security only mode. Support ends 17 August 2023. Start planning to migrate to Joomla 4 today.

User avatar
AMurray
Joomla! Exemplar
Joomla! Exemplar
Posts: 8159
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: Website often does not load

Post by AMurray » Fri Sep 30, 2022 10:29 pm

I'm not sure about Magic Quotes; it's a setting on the server your web host could assist with.

Follow the advice of those Info/Warning messages. Use PHP 7.4 (until end of November 2022) or swtich to PHP 8.x and start preparing for Joomla 4
Regards - A Murray

User avatar
sozzled
Joomla! Master
Joomla! Master
Posts: 13080
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia

Re: Website often does not load

Post by sozzled » Fri Sep 30, 2022 10:37 pm

learning2022 wrote:
Fri Sep 30, 2022 10:08 pm
Error
We have detected that your server is using PHP 7.3.28 which is obsolete and no longer receives official security updates by its developers. The Joomla! Project recommends upgrading your site to PHP 7.4 or later which will receive security updates at least until 2022-11-28. Please ask your host to make PHP 7.4 or a later version the default version for your site. If your host is already PHP 7.4 ready please enable PHP 7.4 on your site's root and 'administrator' directories – typically you can do this yourself through a tool in your hosting control panel, but it's best to ask your host if you are unsure.
This is not really an error. According to the technical requirements documentation, the PHP 8.0 recommended for J! 3.x but it is not mandatory; your site will work OK with PHP 7.x. You can remove this "error" by disabling the plugin Quick Icon - PHP Version Check

learning2022 wrote:
Fri Sep 30, 2022 10:08 pm
WARNING
Joomla 3.10 has entered security only mode. Support ends 17 August 2023. Start planning to migrate to Joomla 4 today.
This notice is for information purposes. You can remove this notice by disabling the plugin Quick Icon - Joomla! 3.10 End Of Support Notification. Further information about J! 3.10 end of support can be obtained by using Google to search for "Joomla! 3.10 End Of Support Notification" 8)

set_magic_quotes_runtime() is not available in later releases of PHP 7.x; see information at https://stackoverflow.com/questions/221 ... ime-in-php. If you get messages about this it means you have an extension installed that uses it. You will need to find which extension uses set_magic_quotes_runtime() and uninstall that extension.
Last edited by sozzled on Fri Sep 30, 2022 11:01 pm, edited 2 times in total.
“If you think I’m wrong then say, ‘I think you’re wrong.’ If you say ‘You’re wrong!’, how do you know?”
Walking the talk: https://j4xdemo.enduring.com.au
:)

User avatar
toivo
Joomla! Master
Joomla! Master
Posts: 15239
Joined: Thu Feb 15, 2007 5:48 am
Location: Sydney, Australia

Re: Website often does not load

Post by toivo » Fri Sep 30, 2022 10:45 pm

learning2022 wrote:
Fri Sep 30, 2022 2:55 pm
PHP Fatal error: Uncaught Error: Call to undefined function set_magic_quotes_runtime() in
/home/themaqpy/public_html/includes/framework.php:21
The function set_magic_quotes_runtime() has not been used in the file framework.php since Joomla 1.5. Either the website is still using Joomla 1.5 or the update to a later version was not done correctly.

Are there any backups from the time when the website was working? A full backup, containing both the filesystem and the database, would allow a Joomla expert to migrate the contents to a later version of Joomla, if there is plenty of content that would take a long time to copy and paste. Otherwise, it is best to start from scratch with Joomla 4.
Toivo Talikka, Global Moderator


Post Reply

Return to “General Questions/New to Joomla! 3.x”